All Savings
curl --request GET \
--url https://cashboard-f5x2.onrender.com/savingsimport requests
url = "https://cashboard-f5x2.onrender.com/savings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cashboard-f5x2.onrender.com/savings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"savings": [
{
"desc": "New Car",
"goal": "950000",
"currency": "KSH",
"_id": "662fd2808f1d17198913a0c8",
"createdAt": "2024-04-29T17:01:52.662Z",
"updatedAt": "2024-04-29T17:01:52.662Z"
}
]
}{
"status": "error",
"message": "Savings not found."
}Savings
All Savings
This endpoint returns all the saving for the specified user.
Endpoint: https://cashboard-f5x2.onrender.com/savings
Query Parameter: User UUID
The response is JSON object that contains all the user’s savings. An individual saving contains:
- desc (string) - A description of the saving goal
- goalAmount (number) - The goal
- currency (string) - The user’s preference
- currentAmount (number) - the current amount saved
- _id - the unique identifier of the saving
GET
/
savings
All Savings
Query Parameters
Response
OK
The response is of type object.

